RTEMS: bsps/bfin/TLL6527M/console/console.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Functions | Variables
console.c File Reference
`#include <rtems.h>`
`#include <rtems/libio.h>`
`#include <bsp.h>`
`#include <rtems/bspIo.h>`
`#include <rtems/console.h>`
`#include <bsp/interrupt.h>`
`#include <libcpu/uart.h>`

## Functions
rtems_device_driver | console_close (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console close entry point.
rtems_device_driver | console_read (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console read entry point.
rtems_device_driver | console_write (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console write entry point.
rtems_device_driver | console_control (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console IO control entry point.
rtems_device_driver | console_open (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console open entry point.
rtems_device_driver | console_initialize (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console initialization entry point.

## Variables
BSP_output_char_function_type | BSP_output_char = TLL6527_BSP_output_char
BSP_polling_getchar_function_type | BSP_poll_char = TLL6527_BSP_poll_char

## Detailed Description

- This file implements uart console for TLL6527M. TLL6527M has BF527 with second uart (uart-1) connected to the console.

Target: TLL6527v1-0 Compiler:

COPYRIGHT (c) 2010 by ECE Northeastern University.

The license and distribution terms for this file may be found in the file LICENSE in this distribution or at http://www.rtems.org/license

Author
  Rohan Kangralkar, ECE, Northeastern University (kangr.nosp@m.alka.nosp@m.r.r@h.nosp@m.usky.nosp@m..neu..nosp@m.edu)

LastChange:

## Function Documentation

## ◆ console_close()

rtems_device_driver console_close | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console close entry point.

This method closes a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | The device driver is successfully closed.

## ◆ console_control()

rtems_device_driver console_control | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console IO control entry point.

This method performs an IO Control operation on a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | the device driver IO control operation is successfully performed.

## ◆ console_initialize()

rtems_device_driver console_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console initialization entry point.

This routine initializes the console IO driver.

Parameters

Parameters

  major | major number
  minor | minor number

Output parameters: NONE

Returns
  void

## ◆ console_open()

rtems_device_driver console_open | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console open entry point.

This method opens a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | The device driver is successfully opened.

## ◆ console_read()

rtems_device_driver console_read | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console read entry point.

This method reads from a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | The device is successfully read from.

## ◆ console_write()

rtems_device_driver console_write | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console write entry point.

This method writes to a specific device supported by the console device driver.

Parameters

  [in] | major | is the device driver major number
  [in] | minor | is the device driver minor number
  [in] | arg | is the parameters to this call

Return values

  RTEMS_SUCCESSFUL | The device is successfully written.

## Variable Documentation

## ◆ BSP_output_char

BSP_output_char_function_type BSP_output_char = TLL6527_BSP_output_char

This variable points to the BSP provided method to output a character for the purposes of debug output.

It must output only the specific character. It must not perform character translations, e.g. "\n" to "\r\n".

## ◆ BSP_poll_char

BSP_polling_getchar_function_type BSP_poll_char = TLL6527_BSP_poll_char

This variable points to the BSP provided method to input a character for the purposes of debug input.